metadata service lists ramdisk-id when no ramdisk was used

Bug #526805 reported by Scott Moser on 2010-02-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Fix Released
Undecided
chris grzegorczyk
eucalyptus (Ubuntu)
High
Thierry Carrez
Lucid
High
Thierry Carrez

Bug Description

When an image is registered without a ramdisk eucalyptus presents 'ramdisk-id' in the directory listing for meta-data/ . On ec2, ramdisk-id is not present in the list.

ie, on ec2, in an instance without a ramdisk
$ wget "http://169.254.169.254/latest/meta-data" -O - -q | grep ramdisk-id || echo "not present"
not present

This is causing a failure in a crawl of the metadata service by boto1.9 .

ProblemType: Bug
Architecture: amd64
Date: Tue Feb 23 20:12:33 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Error: [Errno 13] Permission denied: '/var/log/installer/media-info'
Package: eucalyptus-cc 1.6.2-0ubuntu3
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-server
SourcePackage: eucalyptus
Uname: Linux 2.6.32-14-server x86_64

Scott Moser (smoser) wrote :
chris grzegorczyk (chris-grze) wrote :

Thanks for the info.

Changed in eucalyptus:
status: New → Confirmed
assignee: nobody → chris grzegorczyk (chris-grze)
Scott Moser (smoser) on 2010-02-24
description: updated
Scott Moser (smoser) on 2010-02-24
Changed in eucalyptus (Ubuntu):
importance: Undecided → High
status: New → Triaged
Thierry Carrez (ttx) wrote :

Confirmed the fix in smoser's branch

Without the fix:
uec-publish-tarball lucid / euca-run-instance lucid -> FAIL
uec-publish-tarball karmic / euca-run-instance karmic -> PASS
uec-publish-tarball lucid / euca-run-instance lucid -> PASS with scary boot messages

With the fix:
uec-publish-tarball lucid / euca-run-instance lucid -> PASS
uec-publish-tarball karmic / euca-run-instance karmic -> PASS
uec-publish-tarball lucid / euca-run-instance lucid -> PASS with scary boot messages

I'll go ahead and commit that fix, leaving only bug 525989 (the default ramdisk / scary boot messages issue) to solve for beta1.

Changed in eucalyptus (Ubuntu Lucid):
status: Triaged → In Progress
assignee: nobody → Thierry Carrez (ttx)
milestone: none → lucid-alpha-3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6.2-0ubuntu4

---------------
eucalyptus (1.6.2-0ubuntu4) lucid; urgency=low

  [ Colin Watson ]
  * Preseed postfix/main_mailer_type to "Internet Site" for cluster
    controller installations (LP: #455746).

  [ Scott Moser ]
  * only show ramdisk-id in metadata service if present for booted
    instance, LP: #526805
 -- Thierry Carrez <email address hidden> Wed, 24 Feb 2010 10:33:49 +0100

Changed in eucalyptus (Ubuntu Lucid):
status: In Progress → Fix Released
chris grzegorczyk (chris-grze) wrote :

Mislabelled bug in the commit. Sorry about that.

------------------------------------------------------------
revno: 1205
committer: decker <decker@personal-army>
branch nick: 1.6.2
timestamp: Fri 2010-03-05 01:05:38 -0800
message:
  fix LP: #525989
------------------------------------------------------------

Changed in eucalyptus:
status: Confirmed → Fix Committed
Changed in eucalyptus:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers